.complex-layout {
  display: flex;
  flex-wrap: wrap;
}

.header {
  flex: 1 1 100%;
  background: #000000 url(images/templatemo_bg.gif) repeat-x;
  color: #fff;
  padding: 20px;
  text-align: center;
}

.sidebar {
  flex: 1 1 20%;
  background-color: #f4f4f4;
  padding: 20px;
}

.main-content {
  flex: 1 1 60%;
  background-color: #fff;
  padding: 20px;
}

.footer1 {
  flex: 1 1 100%;
  background-color: #333;
  color: #fff;
  padding: 20px;
  text-align: center;
}



@media (max-width: 768px) {
  .hero {
    padding: 20px;
  }

  .hero-content {
    padding: 20px;
  }
}







.hero {
  display: flex;
 
  align-items: center;
  height: 100%; /* Full viewport height */
  background: #000000 url(images/templatemo_bg.gif) repeat-x;
  
  
 
   
}

.hero-content {
  max-width: 100%;
  background: #000000 url(images/templatemo_bg.gif) repeat-x;
}

.hero-button {
  display: inline-block;
  padding: 10px 20px;
  background-color: #FFDE21;
  color: #FFDE21;
  text-decoration: none;
  border-radius: 5px;
  margin-top: 5px;
  
  
  
}



.footer {
  display: flex;
  flex-wrap: wrap;
  padding: 1px;
  background-color: #FFDE21;
  color: #fff;
  justify-content: space-between;
}

.footer-section {
  flex: 1 1 30%;
  padding: 10px;
}

.footer-section h4 {
  margin-top: 0;
}

.footer-section a {
  color: #ff6347;
  text-decoration: none;
  display: block;
  margin: 5px 0;
}




